### Type parameters

- #### K: object

- #### V

### Hierarchy

- WeakMap

## Index

### Methods

- delete
- get
- has
- set

## Methods

### delete

- delete(key: K): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:46

  #### Parameters

  - ##### key: K

  #### Returns boolean

### get

- get(key: K): V | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:47

  #### Parameters

  - ##### key: K

  #### Returns V | undefined

### has

- has(key: K): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:48

  #### Parameters

  - ##### key: K

  #### Returns boolean

### set

- set(key: K, value: V): this

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.collection.d.ts:49

  #### Parameters

  - ##### key: K

  - ##### value: V

  #### Returns this

Generated using TypeDoc